[dahdi-commits] tzafrir: tools/trunk r4416 - in /tools/trunk/xpp: ./ perl_modules/ perl_modul...
SVN commits to the DAHDI project
dahdi-commits at lists.digium.com
Thu Jun 19 12:34:37 CDT 2008
Author: tzafrir
Date: Thu Jun 19 12:34:36 2008
New Revision: 4416
URL: http://svn.digium.com/view/dahdi?view=rev&rev=4416
Log:
XPP tools rename: part 2.
Removed obsolete astribank_hook (not needed) and print_modes (moved to
kernel).
Added:
tools/trunk/xpp/perl_modules/Dahdi/
- copied from r4415, tools/trunk/xpp/perl_modules/Zaptel/
tools/trunk/xpp/perl_modules/Dahdi.pm
- copied, changed from r4415, tools/trunk/xpp/perl_modules/Zaptel.pm
Removed:
tools/trunk/xpp/astribank_hook
tools/trunk/xpp/perl_modules/Zaptel/
tools/trunk/xpp/perl_modules/Zaptel.pm
tools/trunk/xpp/print_modes.c
Modified:
tools/trunk/xpp/Makefile
tools/trunk/xpp/dahdi_drivers
tools/trunk/xpp/dahdi_genconf
tools/trunk/xpp/dahdi_hardware
tools/trunk/xpp/dahdi_registration
tools/trunk/xpp/genzaptelconf
tools/trunk/xpp/genzaptelconf.8
tools/trunk/xpp/lsdahdi
tools/trunk/xpp/perl_modules/Dahdi/Chans.pm
tools/trunk/xpp/perl_modules/Dahdi/Config/Defaults.pm
tools/trunk/xpp/perl_modules/Dahdi/Hardware.pm
tools/trunk/xpp/perl_modules/Dahdi/Hardware/PCI.pm
tools/trunk/xpp/perl_modules/Dahdi/Hardware/USB.pm
tools/trunk/xpp/perl_modules/Dahdi/Span.pm
tools/trunk/xpp/perl_modules/Dahdi/Utils.pm
tools/trunk/xpp/perl_modules/Dahdi/Xpp.pm
tools/trunk/xpp/perl_modules/Dahdi/Xpp/Line.pm
tools/trunk/xpp/perl_modules/Dahdi/Xpp/Xbus.pm
tools/trunk/xpp/perl_modules/Dahdi/Xpp/Xpd.pm
tools/trunk/xpp/xpp.rules
tools/trunk/xpp/xpp_blink
tools/trunk/xpp/xpp_fxloader
tools/trunk/xpp/xpp_modprobe
tools/trunk/xpp/xpp_sync
Modified: tools/trunk/xpp/Makefile
URL: http://svn.digium.com/view/dahdi/tools/trunk/xpp/Makefile?view=diff&rev=4416&r1=4415&r2=4416
==============================================================================
--- tools/trunk/xpp/Makefile (original)
+++ tools/trunk/xpp/Makefile Thu Jun 19 12:34:36 2008
@@ -10,10 +10,10 @@
#
# These variables should be passed to us. But until then...
#
-ZAPTEL_DIR ?= $(shell if [ -f "../../zaptel.h" ]; then echo "../.."; else echo "../../.."; fi)
-ZAP_KERNEL ?= $(shell if [ -d "$(ZAPTEL_DIR)/kernel" ]; then echo "$(ZAPTEL_DIR)/kernel"; else echo "$(ZAPTEL_DIR)"; fi)
+DAHDI_TOOLSDIR ?= ..
+DAHDI_KERNELDIR =
--include $(ZAPTEL_DIR)/makeopts
+include $(DAHDI_TOOLSDIR)/makeopts
INSTALL_DATA = $(INSTALL) -m 644
@@ -26,50 +26,43 @@
INSTALL_DATA = $(INSTALL) -m 644
SBINDIR = $(prefix)/sbin
-DATADIR = $(datadir)/zaptel
+DATADIR = $(datadir)/dahdi
MANDIR = $(mandir)/man8
HOTPLUG_USB_DIR = /etc/hotplug/usb
UDEV_RULES_DIR = /etc/udev/rules.d
PERLLIBDIR := $(shell eval `perl -V:sitelib`; echo "$$sitelib")
-PERL_DIRS := $(shell cd zconf; find * -name '[A-Z]*' -type d| xargs)
+PERL_DIRS := $(shell cd perl_modules; find * -name '[A-Z]*' -type d| xargs)
PERL_MODS_PAT := *.pm $(PERL_DIRS:%=%/*.pm)
-PERL_MODS := $(shell cd zconf; echo $(PERL_MODS_PAT))
+PERL_MODS := $(shell cd perl_modules; echo $(PERL_MODS_PAT))
XPD_FIRMWARE = $(wildcard ../firmwares/*.hex)
-XPD_INIT_DATA = $(XPD_FIRMWARE) init_fxo_modes
+XPD_INIT_DATA = $(XPD_FIRMWARE)
XPD_INIT = $(wildcard ../init_card_?_*) xpp_fxloader
# Variables that should be defined above, but need sane defaults:
# FIXME: Are those values really sane?
HOSTCC ?= $(CC)
-ifeq (,$(PBX_LIBUSB))
-# No PBX_LIBUSB? Maybe we compile against zaptel-1.2
-# Let's make a poor man detection of libusb
-PBX_LIBUSB = $(shell if [ -r /usr/include/usb.h ]; then echo 1; else echo 0; fi)
-endif
-
-WCTDM=$(shell for i in $(ZAP_KERNEL)/wctdm.c $(ZAP_KERNEL)/fxo_modes.h; do [ -f "$$i" ] && echo "$$i"; done)
CFLAGS = -g -Wall $(EXTRA_CFLAGS)
%.8: %
pod2man --section 8 $^ > $@ || $(RM) $@
PERL_SCRIPTS = \
- zt_registration \
+ dahdi_registration \
xpp_sync \
- lszaptel \
+ lsdahdi \
xpp_blink \
- zapconf \
- zaptel_hardware \
+ dahdi_genconf \
+ dahdi_hardware \
#
PERL_MANS = $(PERL_SCRIPTS:%=%.8)
-TARGETS = init_fxo_modes print_modes perlcheck
+TARGETS = perlcheck
PROG_INSTALL = genzaptelconf
MAN_INSTALL = $(PROG_INSTALL:%=%.8)
-ifeq (1,$(PBX_LIBUSB))
+ifeq (1,$(PBX_USB))
TARGETS += libhexfile.a fpga_load test_parse
PROG_INSTALL += fpga_load
endif
@@ -104,7 +97,7 @@
done
for i in $(PERL_MODS); \
do \
- $(INSTALL_DATA) "zconf/$$i" "$(DESTDIR)$(PERLLIBDIR)/$$i"; \
+ $(INSTALL_DATA) "perl_modules/$$i" "$(DESTDIR)$(PERLLIBDIR)/$$i"; \
done
endif
@@ -126,18 +119,8 @@
test_parse: test_parse.o libhexfile.a
$(CC) -L. -o $@ $@.o $(EXTRA_LIBS) -lhexfile -lusb
-print_modes: print_modes.c wctdm_fxomodes.h
- $(HOSTCC) -o $@ $(CFLAGS) $<
-
-wctdm_fxomodes.h: $(WCTDM)
- @echo Building FXO modes from: $(WCTDM)
- perl -n -e 'print if (/^static struct fxo_mode {$$/ .. /};$$/)' $(WCTDM) >$@ || rm -f $@
-
-init_fxo_modes: print_modes
- ./$< >$@
-
perlcheck: $(PERL_SCRIPTS)
- for i in $^; do perl -I./zconf -c $$i || exit 1; done
+ for i in $^; do perl -I./perl_modules -c $$i || exit 1; done
touch $@
clean:
Modified: tools/trunk/xpp/dahdi_drivers
URL: http://svn.digium.com/view/dahdi/tools/trunk/xpp/dahdi_drivers?view=diff&rev=4416&r1=4415&r2=4416
==============================================================================
--- tools/trunk/xpp/dahdi_drivers (original)
+++ tools/trunk/xpp/dahdi_drivers Thu Jun 19 12:34:36 2008
@@ -1,9 +1,9 @@
#! /usr/bin/perl -w
use strict;
use File::Basename;
-BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/zconf"); }
+BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/perl_modules"); }
-use Zaptel::Hardware;
+use Dahdi::Hardware;
-my $hardware = Zaptel::Hardware->scan;
+my $hardware = Dahdi::Hardware->scan;
print join("\n", $hardware->drivers),"\n";
Modified: tools/trunk/xpp/dahdi_genconf
URL: http://svn.digium.com/view/dahdi/tools/trunk/xpp/dahdi_genconf?view=diff&rev=4416&r1=4415&r2=4416
==============================================================================
--- tools/trunk/xpp/dahdi_genconf (original)
+++ tools/trunk/xpp/dahdi_genconf Thu Jun 19 12:34:36 2008
@@ -9,11 +9,11 @@
#
use strict;
use File::Basename;
-BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/zconf"); }
-
-use Zaptel;
-use Zaptel::Xpp;
-use Zaptel::Config::Defaults;
+BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/perl_modules"); }
+
+use Dahdi;
+use Dahdi::Xpp;
+use Dahdi::Config::Defaults;
my %default_context = (
FXO => 'from-pstn',
@@ -47,14 +47,14 @@
my $fxs_default_start = 'ls';
-my %default_zaptel_signalling = (
+my %default_dahdi_signalling = (
FXO => 'fxsks',
FXS => "fxo{fxs_default_start}",
IN => "fxo{fxs_default_start}",
OUT => "fxo{fxs_default_start}",
);
-my %default_zapata_signalling = (
+my %default_chan_dahdi_signalling = (
FXO => 'fxs_ks',
FXS => "fxo_{fxs_default_start}",
IN => "fxo_{fxs_default_start}",
@@ -69,7 +69,7 @@
my $bri_sig_style = 'bri_ptmp';
my $brint_overlap = 'no';
-my %zaptel_default_vars = (
+my %dahdi_default_vars = (
base_exten => \$base_exten,
fxs_immediate => \$fxs_immediate,
fxs_default_start => \$fxs_default_start,
@@ -87,15 +87,15 @@
\$default_group{OUT},
],
group_lines => \$default_group{FXO},
- ZAPBRI_SIGNALLING => \$bri_sig_style,
+ DAHDI_BRI_SIGNALLING => \$bri_sig_style,
brint_overlap => \$brint_overlap,
);
-sub map_zaptel_defaults {
+sub map_dahdi_defaults {
my %defaults = @_;
foreach my $name (keys %defaults) {
my $val = $defaults{$name};
- my $ref = $zaptel_default_vars{$name};
+ my $ref = $dahdi_default_vars{$name};
my $type = ref $ref;
my @vars = ();
# Some broken shells (msh) export even variables
@@ -115,21 +115,21 @@
}
-my $zapconf_file;
-my $zapatachannels_file;
+my $dahdiconf_file;
+my $chan_dahdi_channels_file;
my $users_file;
-my $zapataconf_file;
+my $chan_dahdi_conf_file;
my %files = (
- zaptel => { file => \$zapconf_file, func => \&gen_zaptelconf },
- zapata => { file => \$zapatachannels_file, func => \&gen_zapatachannelsconf },
+ dahdi => { file => \$dahdiconf_file, func => \&gen_dahdiconf },
+ chan_dahdi => { file => \$chan_dahdi_channels_file, func => \&gen_chan_dahdi_channelsconf },
users => { file => \$users_file, func => \&gen_usersconf },
- zapataconf => { file => \$zapataconf_file, func => \&gen_zapataconf },
+ chan_dahdi_full => { file => \$chan_dahdi_conf_file, func => \&gen_chan_dahdi_conf },
);
-my @default_files = ("zaptel", "zapata");
-
-my @spans = Zaptel::spans();
+my @default_files = ("dahdi", "chan_dahdi");
+
+my @spans = Dahdi::spans();
sub bchan_range($) {
my $span = shift || die;
@@ -156,7 +156,7 @@
return join(',', @range);
}
-sub gen_zaptel_signalling($) {
+sub gen_dahdi_signalling($) {
my $chan = shift || die;
my $type = $chan->type;
my $num = $chan->num;
@@ -166,7 +166,7 @@
printf "# channel %d, %s, no module.\n", $num, $chan->fqn;
return;
}
- my $sig = $default_zaptel_signalling{$type} || die "unknown default zaptel signalling for chan $chan type $type";
+ my $sig = $default_dahdi_signalling{$type} || die "unknown default dahdi signalling for chan $chan type $type";
if ($type eq 'IN') {
printf "# astbanktype: input\n";
} elsif ($type eq 'OUT') {
@@ -177,7 +177,7 @@
my $bri_te_last_timing = 1;
-sub gen_zaptel_digital($) {
+sub gen_dahdi_digital($) {
my $span = shift || die;
my $num = $span->num() || die;
die "Span #$num is analog" unless $span->is_digital();
@@ -206,7 +206,7 @@
printf "dchan=%d\n", $dchan->num();
}
-sub gen_zaptelconf($) {
+sub gen_dahdiconf($) {
my $file = shift || die;
rename "$file", "$file.bak"
or $! == 2 # ENOENT (No dependency on Errno.pm)
@@ -215,15 +215,15 @@
my $old = select F;
printf "# Autogenerated by %s on %s -- do not hand edit\n", $0, scalar(localtime);
print <<"HEAD";
-# Zaptel Configuration File
+# Dahdi Configuration File
#
-# This file is parsed by the Zaptel Configurator, ztcfg
+# This file is parsed by the Dahdi Configurator, ztcfg
#
HEAD
foreach my $span (@spans) {
printf "# Span %d: %s %s\n", $span->num, $span->name, $span->description;
if($span->is_digital()) {
- gen_zaptel_digital($span);
+ gen_dahdi_digital($span);
} else {
foreach my $chan ($span->chans()) {
if(1 || !defined $chan->type) {
@@ -233,7 +233,7 @@
unless defined $type;
$chan->type($type);
}
- gen_zaptel_signalling($chan);
+ gen_dahdi_signalling($chan);
}
}
print "\n";
@@ -257,7 +257,7 @@
txgain => 0,
);
-sub reset_zapata_values {
+sub reset_chan_dahdi_values {
foreach my $arg (@_) {
if (exists $DefaultConfigs{$arg}) {
print "$arg = $DefaultConfigs{$arg}\n";
@@ -267,7 +267,7 @@
}
}
-sub gen_zapata_digital($) {
+sub gen_chan_dahdi_digital($) {
my $span = shift || die;
my $num = $span->num() || die;
die "Span #$num is analog" unless $span->is_digital();
@@ -296,23 +296,23 @@
printf "switchtype = %s\n", $span->switchtype;
printf "signalling = %s\n", $sig;
printf "channel => %s\n", bchan_range($span);
- reset_zapata_values(@to_reset);
-}
-
-sub gen_zapata_channel($) {
+ reset_chan_dahdi_values(@to_reset);
+}
+
+sub gen_chan_dahdi_channel($) {
my $chan = shift || die;
my $type = $chan->type;
my $num = $chan->num;
die "channel $num type $type is not an analog channel\n" if $chan->span->is_digital();
my $exten = $base_exten + $num;
- my $sig = $default_zapata_signalling{$type};
+ my $sig = $default_chan_dahdi_signalling{$type};
my $context = $default_context{$type};
my $group = $default_group{$type};
my $callerid;
my $immediate;
return if $type eq 'EMPTY';
- die "missing default_zapata_signalling for chan #$num type $type" unless $sig;
+ die "missing default_chan_dahdi_signalling for chan #$num type $type" unless $sig;
$callerid = ($type eq 'FXO')
? 'asreceived'
: sprintf "\"Channel %d\" <%04d>", $num, $exten;
@@ -347,7 +347,7 @@
print "\n";
}
-sub gen_zapatachannelsconf($) {
+sub gen_chan_dahdi_channelsconf($) {
my $file = shift || die;
rename "$file", "$file.bak"
or $! == 2 # ENOENT (No dependency on Errno.pm)
@@ -356,20 +356,20 @@
my $old = select F;
printf "; Autogenerated by %s on %s -- do not hand edit\n", $0, scalar(localtime);
print <<"HEAD";
-; Zaptel Channels Configurations (zapata.conf)
-;
-; This is not intended to be a complete zapata.conf. Rather, it is intended
-; to be #include-d by /etc/zapata.conf that will include the global settings
+; Dahdi Channels Configurations (chan_dahdi.conf)
+;
+; This is not intended to be a complete chan_dahdi.conf. Rather, it is intended
+; to be #include-d by /etc/asterisk/chan_dahdi.conf that will include the global settings
;
HEAD
foreach my $span (@spans) {
printf "; Span %d: %s %s\n", $span->num, $span->name, $span->description;
if($span->is_digital()) {
- gen_zapata_digital($span);
+ gen_chan_dahdi_digital($span);
} else {
foreach my $chan ($span->chans()) {
- gen_zapata_channel($chan);
+ gen_chan_dahdi_channel($chan);
}
}
print "\n";
@@ -384,10 +384,10 @@
my $num = $chan->num;
die "channel $num type $type is not an analog channel\n" if $chan->span->is_digital();
my $exten = $base_exten + $num;
- my $sig = $default_zapata_signalling{$type};
+ my $sig = $default_chan_dahdi_signalling{$type};
my $full_name = "$type $num";
- die "missing default_zapata_signalling for chan #$num type $type" unless $sig;
+ die "missing default_chan_dahdi_signalling for chan #$num type $type" unless $sig;
print << "EOF";
[$exten]
callwaiting = yes
@@ -406,7 +406,7 @@
vmsecret = 1234
secret = 1234
signalling = $sig
-zapchan = $num
+dahdichan = $num
registeriax = no
registersip = no
canreinvite = no
@@ -505,7 +505,7 @@
select $old;
}
-sub gen_zapataconf($) {
+sub gen_chan_dahdi_conf($) {
my $file = shift || die;
open(F, ">>$file") || die "$0: Failed to open $file: $!\n";
my $old = select F;
@@ -514,8 +514,8 @@
my $current_sig = "";
for my $chan ($span->chans()) {
my $chan_num = $chan->num;
- if ($default_zapata_signalling{$chan->type} ne $current_sig) {
- $current_sig = $default_zapata_signalling{$chan->type};
+ if ($default_chan_dahdi_signalling{$chan->type} ne $current_sig) {
+ $current_sig = $default_chan_dahdi_signalling{$chan->type};
print "\nsignalling = $current_sig";
print "\nchannel => $chan_num";
} else {
@@ -531,16 +531,16 @@
sub set_defaults {
# Source default files
my ($default_file, %source_defaults) =
- Zaptel::Config::Defaults::source_vars(keys(%zaptel_default_vars));
- map_zaptel_defaults(%source_defaults);
+ Dahdi::Config::Defaults::source_vars(keys(%dahdi_default_vars));
+ map_dahdi_defaults(%source_defaults);
# Fixups
- foreach my $val (values %default_zaptel_signalling, values %default_zapata_signalling) {
+ foreach my $val (values %default_dahdi_signalling, values %default_chan_dahdi_signalling) {
$val =~ s/{fxs_default_start}/$fxs_default_start/g;
}
- $zapconf_file = $ENV{ZAPCONF_FILE} || "/etc/zaptel.conf";
- $zapatachannels_file = $ENV{ZAPATA_FILE} || "/etc/asterisk/zapata-channels.conf";
+ $dahdiconf_file = $ENV{DAHDI_CONF_FILE} || "/etc/dahdi.conf";
+ $chan_dahdi_channels_file = $ENV{CHAN_DAHDI_CHANNELS_FILE} || "/etc/asterisk/dahdi-channels.conf";
$users_file = $ENV{USERS_FILE} || "/etc/asterisk/users.conf";
- $zapataconf_file = $ENV{ZAPATACONF_FILE} || "/etc/asterisk/zapata.conf";
+ $chan_dahdi_conf_file = $ENV{CHAN_DAHDI_CONF_FILE} || "/etc/asterisk/chan_dahdi.conf";
}
sub parse_args {
@@ -565,39 +565,39 @@
=head1 NAME
-zapconf - Generate configuration for zaptel channels.
+dahdi_genconf - Generate configuration for dahdi channels.
=head1 SYNOPSIS
-zapconf [FILES...]
+dahdi_genconf [FILES...]
=head1 DESCRIPTION
-This script generate configuration files for Zaptel hardware.
-Currently it can generate three files: zaptel, zapata, users and zapataconf (see below).
-Without arguments, it generates only zaptel and zapata.
+This script generate configuration files for Dahdi hardware.
+Currently it can generate three files: dahdi, chan_dahdi, users and chan_dahdi_full (see below).
+Without arguments, it generates only dahdi and chan_dahdi.
=over 4
-=item zaptel - /etc/zaptel.conf
+=item dahdi - /etc/dahdi.conf
Configuration for ztcfg(1). It's location may be overriden by the
-environment variable ZAPCONF_FILE.
-
-=item zapata - /etc/asterisk/zapata-channels.conf
-
-Configuration for asterisk(1). It should be included in the main /etc/asterisk/zapata.conf.
-It's location may be overriden by the environment variable ZAPATA_FILE.
+environment variable DAHDI_CONF_FILE.
+
+=item chan_dahdi - /etc/asterisk/dahdi-channels.conf
+
+Configuration for asterisk(1). It should be included in the main /etc/asterisk/chan_dahdi.conf.
+It's location may be overriden by the environment variable CHAN_DAHDI_CHANNELS_FILE.
=item users - /etc/asterisk/users.conf
Configuration for asterisk(1) and AsteriskGUI.
It's location may be overriden by the environment variable USERS_FILE.
-=item zapataconf - /etc/asterisk/zapata.conf
+=item chan_dahdi_full - /etc/asterisk/chan_dahdi.conf
Configuration for asterisk(1) and AsteriskGUI.
-It's location may be overriden by the environment variable ZAPATACONF_FILE.
+It's location may be overriden by the environment variable CHAN_DAHDI_CONF_FILE.
=back
Modified: tools/trunk/xpp/dahdi_hardware
URL: http://svn.digium.com/view/dahdi/tools/trunk/xpp/dahdi_hardware?view=diff&rev=4416&r1=4415&r2=4416
==============================================================================
--- tools/trunk/xpp/dahdi_hardware (original)
+++ tools/trunk/xpp/dahdi_hardware Thu Jun 19 12:34:36 2008
@@ -10,13 +10,13 @@
use strict;
use File::Basename;
use Getopt::Std;
-BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/zconf"); }
+BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/perl_modules"); }
-use Zaptel;
-use Zaptel::Span;
-use Zaptel::Xpp;
-use Zaptel::Xpp::Xbus;
-use Zaptel::Hardware;
+use Dahdi;
+use Dahdi::Span;
+use Dahdi::Xpp;
+use Dahdi::Xpp::Xbus;
+use Dahdi::Hardware;
sub usage {
die "Usage: $0 [-v][-x]\n";
@@ -26,8 +26,8 @@
getopts('vx') || usage;
@ARGV == 0 or usage;
-my $hardware = Zaptel::Hardware->scan;
-my @spans = Zaptel::spans;
+my $hardware = Dahdi::Hardware->scan;
+my @spans = Dahdi::spans;
sub show_xbus($) {
my $xbus = shift or die;
@@ -47,7 +47,7 @@
}
my $master = '';
#$master = "XPP-SYNC" if $xpd->is_sync_master;
- $master .= " ZAPTEL-SYNC" if defined($span) && $span->is_zaptel_sync_master;
+ $master .= " DAHDI-SYNC" if defined($span) && $span->is_dahdi_sync_master;
printf "\t%-10s: %-8s %s %s\n", $xpd->fqn, $xpd->type, $spanstr, $master;
}
}
@@ -59,7 +59,7 @@
my %seen = @_;
my $notified_lost = 0;
- foreach my $xbus (Zaptel::Xpp::xbuses('SORT_CONNECTOR')) {
+ foreach my $xbus (Dahdi::Xpp::xbuses('SORT_CONNECTOR')) {
if(!$seen{$xbus->name}) {
print "----------- XPP Spans with disconnected hardware -----------\n"
unless $notified_lost++;
@@ -95,11 +95,11 @@
=head1 NAME
-zaptel_hardware - Shows Zaptel hardware devices.
+dahdi_hardware - Shows Dahdi hardware devices.
=head1 SYNOPSIS
-zaptel_hardware [-v][-x]
+dahdi_hardware [-v][-x]
=head1 OPTIONS
@@ -118,9 +118,9 @@
=head1 DESCRIPTION
-Show all zaptel hardware devices. Devices are recognized according to
-lists of PCI and USB IDs in Zaptel::Hardware::PCI.pm and
-Zaptel::Hardware::USB.pm . For PCI it is possible to detect by
+Show all dahdi hardware devices. Devices are recognized according to
+lists of PCI and USB IDs in Dahdi::Hardware::PCI.pm and
+Dahdi::Hardware::USB.pm . For PCI it is possible to detect by
sub-vendor and sub-product ID as well.
The first output column is the connector: a bus specific field that
@@ -130,7 +130,7 @@
marks that the device is not yet handled by this driver. A "+" sign
means that the device is handled by the driver.
-For the Xorcom Astribank (and in the future: for other Zaptel devices)
+For the Xorcom Astribank (and in the future: for other Dahdi devices)
some further information is provided from the driver. Those extra lines
always begin with spaces.
Modified: tools/trunk/xpp/dahdi_registration
URL: http://svn.digium.com/view/dahdi/tools/trunk/xpp/dahdi_registration?view=diff&rev=4416&r1=4415&r2=4416
==============================================================================
--- tools/trunk/xpp/dahdi_registration (original)
+++ tools/trunk/xpp/dahdi_registration Thu Jun 19 12:34:36 2008
@@ -9,12 +9,12 @@
#
use strict;
use File::Basename;
-BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/zconf"); }
+BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/perl_modules"); }
-use Zaptel;
-use Zaptel::Span;
-use Zaptel::Xpp;
-use Zaptel::Xpp::Xbus;
+use Dahdi;
+use Dahdi::Span;
+use Dahdi::Xpp;
+use Dahdi::Xpp::Xbus;
sub usage {
die "Usage: $0 [on|off|1|0]\n";
@@ -40,9 +40,9 @@
printf @_ if $should_output;
}
-my @spans = Zaptel::spans;
+my @spans = Dahdi::spans;
-foreach my $xbus (Zaptel::Xpp::xbuses('SORT_CONNECTOR')) {
+foreach my $xbus (Dahdi::Xpp::xbuses('SORT_CONNECTOR')) {
myprintf "%-10s\t%s\t%s\n", $xbus->name, $xbus->label, $xbus->connector;
next unless $xbus->status eq 'CONNECTED';
foreach my $xpd ($xbus->xpds()) {
@@ -66,7 +66,7 @@
=head1 NAME
-dahdi_registration - Handle registration of Xorcom XPD modules in zaptel.
+dahdi_registration - Handle registration of Xorcom XPD modules in dahdi.
=head1 SYNOPSIS
@@ -75,20 +75,20 @@
=head1 DESCRIPTION
Without parameters, show all connected XPDs sorted by physical connector order.
-Each one is show to be unregistered (off), or registered to a specific zaptel
+Each one is show to be unregistered (off), or registered to a specific dahdi
span (the span number is shown).
All registerations/deregisterations are sorted by physical connector string.
Span registration should generally always succeed. Span unregistration may
fail if channels from the span are in use by e.g. asterisk. In such a case
-you'll also see those channels as '(In use)' in the output of lszaptel(8).
+you'll also see those channels as '(In use)' in the output of lsdahdi(8).
=head2 Parameters
-off -- deregisters all XPD's from zaptel.
+off -- deregisters all XPD's from dahdi.
-on -- registers all XPD's to zaptel.
+on -- registers all XPD's to dahdi.
=head2 Sample Output
Modified: tools/trunk/xpp/genzaptelconf
URL: http://svn.digium.com/view/dahdi/tools/trunk/xpp/genzaptelconf?view=diff&rev=4416&r1=4415&r2=4416
==============================================================================
--- tools/trunk/xpp/genzaptelconf (original)
+++ tools/trunk/xpp/genzaptelconf Thu Jun 19 12:34:36 2008
@@ -1,7 +1,7 @@
#! /bin/bash
# genzaptelconf: generate as smartly as you can:
-# /etc/zaptel.conf
+# /etc/dahdi.conf
# /etc/asterisk/zapata-channels.conf (to be #include-d into zapata.conf)
# update:
# With '-M' /etc/modules (list of modules to load)
@@ -56,7 +56,7 @@
# Set fxs_immediate to 'yes' to make all FXS lines answer immediately.
fxs_immediate=no
-ZAPCONF_FILE=${ZAPCONF_FILE:-/etc/zaptel.conf}
+ZAPCONF_FILE=${ZAPCONF_FILE:-/etc/dahdi.conf}
ZAPCONF_FILE_SYSTEM=$ZAPCONF_FILE
ZAPATA_FILE=${ZAPATA_FILE:-/etc/asterisk/zapata-channels.conf}
ZAPSCAN_FILE=${ZAPSCAN_FILE:-/etc/asterisk/zapscan.conf}
@@ -121,7 +121,7 @@
if [ -x /usr/sbin/ztcfg ]; then
ZTCFG=/usr/sbin/ztcfg
else
- echo >&2 "ztcfg is not on found, do you have zaptel properly installed?"
+ echo >&2 "ztcfg is not on found, do you have dahdi properly installed?"
exit_cleanup 1
fi
fi
@@ -178,9 +178,9 @@
# Wait for udev to generate /dev/zap/ctl, if needed:
wait_for_zapctl() {
- # if device file already exists, or if zaptel has failed to load:
+ # if device file already exists, or if dahdi has failed to load:
# no point waiting.
- if [ -c /dev/zap/ctl ] || ! grep -q zaptel /proc/modules ; then
+ if [ -c /dev/zap/ctl ] || ! grep -q dahdi /proc/modules ; then
return
fi
say "Waiting for /dev/zap/ctl to be generated"
@@ -227,7 +227,7 @@
}
update_module_list_fedora() {
- say "Updating modules list in zaptel init config $MODLIST_FILE_FEDORA."
+ say "Updating modules list in dahdi init config $MODLIST_FILE_FEDORA."
sed -i.bak -e "/^$modules_var=/d" "$MODLIST_FILE_FEDORA"
echo "$modules_var=\"$*\"" >> "$MODLIST_FILE_FEDORA"
}
@@ -251,10 +251,10 @@
# the USB connector. That order is rather arbitrary, but will not
# change without changes to the cabling.
xbusses=`sed -e '/STATUS=connected/!d' -e 's/ *STATUS=.*//' -e 's/ *CONNECTOR=//' /proc/xpp/xbuses | sort -t: -k 2 | cut -d: -f1`
- say "Zaptel registration order:"
+ say "Dahdi registration order:"
say "$xbusses"
- # get a list of XPDs that were not yet registered as zaptel spans.
+ # get a list of XPDs that were not yet registered as dahdi spans.
# this will be the case if you set the parameter zap_autoreg=0 to
# the module xpp
# Append /dev/null to provide a valid file name in case of an empty pattern.
@@ -289,7 +289,7 @@
usage() {
program=`basename $0`
- echo >&2 "$program: generate zaptel.conf and zapata.conf"
+ echo >&2 "$program: generate dahdi.conf and zapata.conf"
echo >&2 "(version $VERSION, $rcsid)"
echo >&2 "usage:"
echo >&2 " $program [-sRdv] [-m k|l|g] [-c <country_code>] [-e <base_exten>] [-F]"
@@ -301,9 +301,9 @@
echo >&2 " -c CODE: set the country code (default: $lc_country)"
echo >&2 " -e NUM: set the base extension number (default: $base_exten)"
echo >&2 " -F: Don't print FXSs in zapata.conf"
- echo >&2 " -l: output a list of detected channels instead of zaptel.conf"
+ echo >&2 " -l: output a list of detected channels instead of dahdi.conf"
echo >&2 " -d: Perform hardware detection"
- echo >&2 " -u: Unload zaptel modules (will not restart Asterisk)."
+ echo >&2 " -u: Unload dahdi modules (will not restart Asterisk)."
echo >&2 " -v: verbose"
echo >&2 " -s: Stop Asterisk before running, and start it at the end."
echo >&2 " -R: Don't restart asterisk in the end."
@@ -371,10 +371,10 @@
echo ";;; line=\"$line\"" >> $zapata_file
if [ "$astbank_type" != '' ];
- then echo "# astbanktype: $astbank_type" >>$zaptel_file;
- fi
- echo "${sig}$method=$chan" >>$zaptel_file
- # zap2amp will rewrite those from zaptel.conf and hints there
+ then echo "# astbanktype: $astbank_type" >>$dahdi_file;
+ fi
+ echo "${sig}$method=$chan" >>$dahdi_file
+ # zap2amp will rewrite those from dahdi.conf and hints there
if [ "$fxsdisable" = 'yes' ] && [ "$sig" = 'fxo' ]; then return; fi
echo "signalling=${sig}_$method" >>$zapata_file
@@ -476,14 +476,14 @@
}
-# the number of channels from /proc/zaptel
+# the number of channels from /proc/dahdi
# must always print a number as its output.
count_proc_zap_lines() {
- # if zaptel is not loaded there are 0 channels:
- if [ ! -d /proc/zaptel ]; then echo '0'; return; fi
+ # if dahdi is not loaded there are 0 channels:
+ if [ ! -d /proc/dahdi ]; then echo '0'; return; fi
(
- for file in `echo /proc/zaptel/* |grep -v '\*'`
+ for file in `echo /proc/dahdi/* |grep -v '\*'`
do sed -e 1,2d $file # remove the two header lines
done
) | wc -l # the total number of lines
@@ -498,7 +498,7 @@
eval "args=\$$args"
# a module is worth listing if it:
# a. loaded successfully, and
- # b. added channels lines under /proc/zaptel/*
+ # b. added channels lines under /proc/dahdi/*
if /sbin/modprobe $i $args 2> /dev/null
then
check=0
@@ -545,8 +545,8 @@
}
unload_modules() {
- say "Unloading zaptel modules:"
- unload_module zaptel
+ say "Unloading dahdi modules:"
+ unload_module dahdi
say ''
}
@@ -574,11 +574,11 @@
if echo $modlist | grep -q xpp_usb; then wait_for_xpp; fi
}
-# The module configuration generated by zaptel includes a totally useless
+# The module configuration generated by dahdi includes a totally useless
# automatic run of ztcfg after modules loading. As a workaround for that,
-# we provide an empty zaptel.conf temporarily.
+# we provide an empty dahdi.conf temporarily.
#
-# At hardware detection time we shouldn't really touch zaptel.conf . So we
+# At hardware detection time we shouldn't really touch dahdi.conf . So we
# must keep a copy of it somewhere.
#
# I use ZAPCONF_FILE_SYSTEM rather than ZAPCONF_FILE, as the bogus modprobe
@@ -590,15 +590,15 @@
temporary_zapconf() {
case "$1" in
save)
- say "Temporarily moving zaptel.conf aside to work around broken modprobe.conf"
- ZAPCONF_FILE_TMP=`mktemp /tmp/genzaptelconf-zaptel.conf-XXXXXX` || die "Error creating temporary zaptel.conf"
+ say "Temporarily moving dahdi.conf aside to work around broken modprobe.conf"
+ ZAPCONF_FILE_TMP=`mktemp /tmp/genzaptelconf-dahdi.conf-XXXXXX` || die "Error creating temporary dahdi.conf"
if [ -f $ZAPCONF_FILE_SYSTEM ]; then
cp -a $ZAPCONF_FILE_SYSTEM $ZAPCONF_FILE_TMP
fi
echo -n >$ZAPCONF_FILE_SYSTEM
;;
restore)
- # restore original zaptel.conf:
+ # restore original dahdi.conf:
if [ "$ZAPCONF_FILE_TMP" = '' ]; then return; fi
mv $ZAPCONF_FILE_TMP $ZAPCONF_FILE_SYSTEM
ZAPCONF_FILE_TMP=''
@@ -652,7 +652,7 @@
fi
}
-# Extract information from one digital channel (one line in a /proc/zaptel
+# Extract information from one digital channel (one line in a /proc/dahdi
# file). Information is saved to $tmp_dir/span_foo variables.
# FIXME: detection should move to when we know the number of channels
# and hence can tell between an E1 and a T1.
@@ -786,15 +786,15 @@
esac
case "$mode" in
files)
- echo span=$span_num,$span_timing,$span_lbo,$span_framing,$span_coding$span_yellow >> $zaptel_file
- # leave a comment in zaptel.conf that allows to tell if
+ echo span=$span_num,$span_timing,$span_lbo,$span_framing,$span_coding$span_yellow >> $dahdi_file
+ # leave a comment in dahdi.conf that allows to tell if
# this span is TE or NT:
if [ "$span_termtype" != '' ]
- then echo "# termtype: $span_termtype" >>$zaptel_file
- fi
-
- echo bchan=$bchans >>$zaptel_file
- echo dchan=$dchan >>$zaptel_file
+ then echo "# termtype: $span_termtype" >>$dahdi_file
+ fi
+
+ echo bchan=$bchans >>$dahdi_file
+ echo dchan=$dchan >>$dahdi_file
if [ "$fxsdisable" = 'yes' ] && [ "$span_termtype" = 'nt' ]; then return; fi
# You should not send content to zapata.conf below this line
@@ -857,13 +857,13 @@
local mode=$1
local reset_values=""
-# spanlist=`echo /proc/zaptel/* | grep -v '\*'`
-# spanlist=$(for i in `for i in /proc/zaptel/*; do if [ -f $i ]; then echo $i | cut -f 4 -d / ; fi; done | sort -n`; do echo -n "/proc/zaptel/$i "; done)
-# spanlist=(cd /proc/zaptel; ls | sort -n | sed 's|^|/proc/zaptel/|')
- spanlist=`ls /proc/zaptel/ 2>/dev/null | sort -n | sed 's|^|/proc/zaptel/|'`
+# spanlist=`echo /proc/dahdi/* | grep -v '\*'`
+# spanlist=$(for i in `for i in /proc/dahdi/*; do if [ -f $i ]; then echo $i | cut -f 4 -d / ; fi; done | sort -n`; do echo -n "/proc/dahdi/$i "; done)
+# spanlist=(cd /proc/dahdi; ls | sort -n | sed 's|^|/proc/dahdi/|')
+ spanlist=`ls /proc/dahdi/ 2>/dev/null | sort -n | sed 's|^|/proc/dahdi/|'`
#if [ "$spanlist" == "" ]; then
- # die "No zapata interfaces in /proc/zaptel"
+ # die "No zapata interfaces in /proc/dahdi"
#fi
@@ -872,20 +872,20 @@
if [ "$do_gen_zapscan" = 'yes' ]; then
gen_tmp_conf "$ZAPSCAN_FILE" zapscan_file
cat <<EOF >$zapscan_file
-; zapscan.conf: information about detected zaptel channels
+; zapscan.conf: information about detected dahdi channels
; (currently: analog only)
;
; Automatically generated by $0 -- Please do not edit.
EOF
fi
- gen_tmp_conf "$ZAPTEL_FILE" zaptel_file
+ gen_tmp_conf "$ZAPTEL_FILE" dahdi_file
gen_tmp_conf "$ZAPATA_FILE" zapata_file
- cat <<EOF >$zaptel_file
+ cat <<EOF >$dahdi_file
# Autogenerated by $0 -- do not hand edit
-# Zaptel Configuration File
-#
-# This file is parsed by the Zaptel Configurator, ztcfg
+# Dahdi Configuration File
+#
+# This file is parsed by the Dahdi Configurator, ztcfg
#
# It must be in the module loading order
@@ -893,7 +893,7 @@
EOF
cat <<EOF >$zapata_file
; Autogenerated by $0 -- do not hand edit
-; Zaptel Channels Configurations (zapata.conf)
+; Dahdi Channels Configurations (zapata.conf)
;
; This is not intended to be a complete zapata.conf. Rather, it is intended
; to be #include-d by /etc/zapata.conf that will include the global settings
@@ -913,7 +913,7 @@
# Another problem with such an approach is how to include an existing
# configuration file. For instance: how to include some default settings.
#
- # Maybe an 'include' directive should be added to zaptel.conf ?
+ # Maybe an 'include' directive should be added to dahdi.conf ?
#cat $spanlist |
for procfile in $spanlist
do
@@ -925,8 +925,8 @@
case "$mode" in
list) echo "### $title";;
files)
- echo "" >>$zaptel_file
- echo "# $title" >>$zaptel_file
+ echo "" >>$dahdi_file
+ echo "# $title" >>$dahdi_file
echo "" >>$zapata_file
echo "; $title" >>$zapata_file
;;
@@ -975,7 +975,7 @@
# print nothing here.
case "$mode" in
list) echo "# channel $chan_num, WCTDM, no module.";;
- files) echo "# channel $chan_num, WCTDM, no module." >> $zaptel_file;;
+ files) echo "# channel $chan_num, WCTDM, no module." >> $dahdi_file;;
esac
continue
fi
@@ -986,7 +986,7 @@
*WCFXO/*)
# X100P
print_pattern $chan_num fxs $mode || \
- echo "# channel $chan_num, WCFXO, inactive." >>$zaptel_file
+ echo "# channel $chan_num, WCFXO, inactive." >>$dahdi_file
;;
*WCUSB/*)
print_pattern $chan_num fxo $mode
@@ -1030,7 +1030,7 @@
case "$mode" in
list) echo "# ??: $line";;
files)
- echo "# ??: $line" >>$zaptel_file
+ echo "# ??: $line" >>$dahdi_file
echo "; ??: $line" >>$zapata_file
esac
;;
@@ -1043,7 +1043,7 @@
if [ "$mode" = 'files' ]
then
- cat <<EOF >> ${zaptel_file}
+ cat <<EOF >> ${dahdi_file}
# Global data
@@ -1054,7 +1054,7 @@
if [ "$mode" = 'files' ]; then
mv ${ZAPCONF_FILE} ${ZAPCONF_FILE}.bak 2>/dev/null
- mv $zaptel_file ${ZAPCONF_FILE}
+ mv $dahdi_file ${ZAPCONF_FILE}
mv ${ZAPATA_FILE} ${ZAPATA_FILE}.bak 2>/dev/nullk
mv $zapata_file ${ZAPATA_FILE}
if [ "$do_gen_zapscan" = 'yes' ]; then
@@ -1105,7 +1105,7 @@
case "$lc_country" in
- # the list was generated from the source of zaptel:
+ # the list was generated from the source of dahdi:
#grep '{.*[0-9]\+,.*"[a-z][a-z]"' zonedata.c | cut -d'"' -f 2 | xargs |tr ' ' '|'
us|au|fr|nl|uk|fi|es|jp|no|at|nz|it|gr|tw|cl|se|be|sg|il|br|hu|lt|pl|za|pt|ee|mx|in|de|ch|dk|cz|cn):;;
*)
@@ -1150,7 +1150,7 @@
#redefine genconf to use perl utilities:
genconf() {
case "$1" in
- list) zaptel_hardware ;;
+ list) dahdi_hardware ;;
files) zapconf ;;
esac
}
Modified: tools/trunk/xpp/genzaptelconf.8
URL: http://svn.digium.com/view/dahdi/tools/trunk/xpp/genzaptelconf.8?view=diff&rev=4416&r1=4415&r2=4416
==============================================================================
--- tools/trunk/xpp/genzaptelconf.8 (original)
+++ tools/trunk/xpp/genzaptelconf.8 Thu Jun 19 12:34:36 2008
@@ -1,7 +1,7 @@
.TH GENZAPTELCONF 8 "July 18th, 2005" "Xorcom Rapid Asterisk" "Linux Programmer's Manual"
.SH "NAME"
.B genzaptelconf
--- generates zaptel configuration (TDM adaptors)
+-- generates dahdi configuration (TDM adaptors)
.SH SYNOPSIS
.PP
.B genzaptelconf
@@ -11,16 +11,16 @@
[-sRdv] -l -- only list to standard output
.B genzaptelconf
--su -- only unload zaptel modules
+-su -- only unload dahdi modules
.B genzaptelconf
-h -- Help screen
.SH DESCRIPTION
.B genzaptelconf
-is a script to detect zaptel devices (currently mostly TDM cards are
+is a script to detect dahdi devices (currently mostly TDM cards are
supported). It generates both
-.I /etc/zaptel.conf
+.I /etc/dahdi.conf
and
.I /etc/asterisk/zapata-channels.conf
@@ -36,7 +36,7 @@
.RS
A two-letter country code. Sets the country-code for the zonezone
entries in
-.I zaptel.conf
+.I dahdi.conf
, The default is the value of
.I lc_country
from
@@ -46,7 +46,7 @@
.B -d
.RS
-Also try to detect modules. Unloads all zaptel modules and loads them
+Also try to detect modules. Unloads all dahdi modules and loads them
one by one. Considers a module useful if it loaded successfully and if
loading it has generated at least one zapata channel.
@@ -109,7 +109,7 @@
.B -s
.RS
Stop asterisk for the duration of the test. The detection will only
-work if nobody uses the zaptel channels:
+work if nobody uses the dahdi channels:
* To allow unloading of modules
@@ -124,7 +124,7 @@
Be verbose. lists the detected modules if
.I -d
is used. Lists detected channls. In the end tries to connect to asterisk
-to get a list of configured zaptel channels.
+to get a list of configured dahdi channels.
.RE
.B -z
@@ -174,12 +174,12 @@
.I context_lines
.RS
-The context into which calls will go from zaptel trunks.
+The context into which calls will go from dahdi trunks.
.RE
.I context_phones
.RS
-The context into which calls will go from zaptel phones.
+The context into which calls will go from dahdi phones.
.RE
.I context_manual
@@ -189,12 +189,12 @@
.I group_lines
.RS
-The group number for zaptel trunks.
+The group number for dahdi trunks.
.RE
.I group_phones
.RS
-The group number for zaptel phones.
+The group number for dahdi phones.
.RE
.I ALL_MODULES
@@ -205,7 +205,7 @@
.I ZAPCONF_FILE
.RS
-ztcfg's configuration file. The sane default is /etc/zaptel.conf .
+ztcfg's configuration file. The sane default is /etc/dahdi.conf .
.RE
.I ZAPATA_FILE
@@ -216,7 +216,7 @@
.I ZAPTEL_BOOT_DEBIAN
.RS
-The Debian Zaptel defaults file. Normally
+The Debian Dahdi defaults file. Normally
.I /etc/default/zaptel
.
.RE
@@ -224,7 +224,7 @@
.I ZAPTEL_BOOT_FEDORA
.RS
-The Zaptel defaults file on various other distributions. Normally
+The Dahdi defaults file on various other distributions. Normally
.I /etc/sysconfig/zaptel
.
.RE
@@ -246,14 +246,14 @@
.RE
.SH FILES
-.I /etc/zaptel.conf
+.I /etc/dahdi.conf
.RS
The configuration file used by
.I ztcfg
-to configure zaptel devices. re-written by
+to configure dahdi devices. re-written by
.I genzaptelconf
. A backup copy is saved to
-.I /etc/zaptel.conf.bak
+.I /etc/dahdi.conf.bak
.
.RE
@@ -287,7 +287,7 @@
This file holds configuration for both
.I genzaptelconf
and
-.I /etc/init.d/zaptel .
+.I /etc/init.d/dahdi .
It is sourced by both scripts and can thus be used to override settings
of variables from those scripts.
.RE
@@ -297,7 +297,7 @@
A debian-specific list of kernel modules to be loaded by modprobe at
boot time. When the option
.I -d
-(detect) is used, genzaptelconf will write in this file zaptel modules
+(detect) is used, genzaptelconf will write in this file dahdi modules
to be loaded. If you want to use a different file, set
.I MOD_FILELIST
. If it is rewritten, a backup copy is saved to
Modified: tools/trunk/xpp/lsdahdi
URL: http://svn.digium.com/view/dahdi/tools/trunk/xpp/lsdahdi?view=diff&rev=4416&r1=4415&r2=4416
==============================================================================
--- tools/trunk/xpp/lsdahdi (original)
+++ tools/trunk/xpp/lsdahdi Thu Jun 19 12:34:36 2008
@@ -9,18 +9,18 @@
#
use strict;
use File::Basename;
-BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/zconf"); }
+BEGIN { my $dir = dirname($0); unshift(@INC, "$dir", "$dir/perl_modules"); }
-use Zaptel;
-use Zaptel::Span;
-use Zaptel::Xpp;
-use Zaptel::Xpp::Xbus;
-use Zaptel::Xpp::Xpd;
+use Dahdi;
+use Dahdi::Span;
+use Dahdi::Xpp;
+use Dahdi::Xpp::Xbus;
+use Dahdi::Xpp::Xpd;
-my @xbuses = Zaptel::Xpp::xbuses("SORT_CONNECTOR");
[... 1076 lines stripped ...]
More information about the dahdi-commits
mailing list